Summary: Ruby gdchart
Name: ruby-gdchart

%global momorel 6

Version: 0.0.9
Release: %{momorel}m
Group: Development/Libraries
License: Ruby and "GDChart"
URL: http://sourceforge.jp/projects/ruby-gdchart/

%NoSource 0 http://osdn.dl.sourceforge.jp/ruby-gdchart/1080/ruby-gdchart-0.0.9-beta.tar.gz 2c315df7c3b309e6c5f367b974de532c
Patch0: ruby-gdchart-0.0.9-beta-cflags.patch
Patch1: ruby-gdchart-0.0.9-beta-gcc4.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby
BuildRequires: ruby-devel >= 1.8.2
BuildRequires: freetype2-devel
BuildRequires: gd-devel
BuildRequires: libpng-devel
BuildRequires: libjpeg-devel
BuildRequires: zlib-devel

%description
This is an extension library to use the GDCHART C library written by
Bruce Verderaime (http://www.fred.net/brv/chart/).  The extension
provides a the module 'GDChart'.

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q -n %{name}-%{version}-beta
%patch0 -p1 -b .cflags~
%patch1 -p1 -b .gcc4

cp gdchart0.11.2dev/README gdchart0.11.2dev/README.gdchart

%build
CFLAGS="%{optflags}" ruby extconf.rb
make

%install
rm -rf %{buildroot}
make sitedir=%{buildroot}/usr/lib/ruby install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README.en gdchart0.11.2dev/README.gdchart
%{ruby_archdir}/GDChart.so


%changelog
* Thu Nov 10 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.9-6m)
- add gcc4 patch
- Patch1: ruby-gdchart-0.0.9-beta-gcc4.patch

* Fri Jul 15 2005 Toru Hoshina <t@momonga-linux.org>
- (0.0.9-5m)
- /usr/lib/ruby

* Tue Feb 15 2005 Toru Hoshina <t@momonga-linux.org>
- (0.0.9-4m)
- rebuild without freetype 1.

* Tue Feb 15 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.0.9-3m)
- enable x86_64.

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.0.9-2m)
- rebuild against ruby-1.8.2

* Wed May 19 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.0.9-1m)
- import to momonga

